# GET /control/v1/billing/summary

> GetSummary

- `operationId`: `ControlV1BillingSummaryGetSummary`
- Group: [Billing](https://sference.com/docs/api-reference/billing.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/billing/ControlV1BillingSummaryGetSummary

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `days` | query | integer | no | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `BillingSummaryResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `summary` | BillingSummary | yes | — | — |
| `by_model` | array<BillingModelSummary> | yes | — | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/billing/ControlV1BillingSummaryGetSummary
